:: Copyright 2010, by the California Institute of Technology.
:: ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
:: Any commercial use must be negotiated with the Office of Technology Transfer
:: at the California Institute of Technology.
::
:: This software is subject to U. S. export control laws and regulations
:: (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
:: is subject to U.S. export control laws and regulations, the recipient has
:: the responsibility to obtain export licenses or other export authority as
:: may be required before exporting such information to foreign countries or
:: providing access to foreign nationals.
::
:: $Id: NSSDCManifest.bat 6948 2010-05-01 01:28:12Z shardman $

:: Batch file that allows easy execution of the NSSDC Manifest Builder
:: without the need to set the CLASSAPTH or having to type in that long java
:: command (java gov.nasa.pds.nssdc.manifest.builder.MFBuilder ...)

@echo off

:: Expects the NSSDC Manifest Builder jar file to be in the ../lib directory.

set SCRIPT_DIR=%~dps0
set PARENT_DIR=%SCRIPT_DIR%..

set LIB_DIR=%PARENT_DIR%\lib

if exist "%LIB_DIR%\manifest-builder-*.jar" (
set MFBUILDER_JAR=%LIB_DIR%\manifest-builder-*.jar
) else (
echo Cannot find NSSDC Manifest Builder jar file in %LIB_DIR%
goto END
)

:: Finds the jar file in LIB_DIR and sets it to MFBUILDER_JAR

for %%i in ("%LIB_DIR%"\manifest-builder-*.jar) do set MFBUILDER_JAR=%%i

:: Executes NSSDC Manifest Builder via the executable jar file
:: The special variable '%*' allows the arguments
:: to be passed into the executable.

java -jar "%MFBUILDER_JAR%" %*

:END
